Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types
OFB_Mode_ExternalCipher Struct Reference

OFB mode, external cipher. More...

`#include <modes.h>`

Inheritance diagram for OFB_Mode_ExternalCipher:

List of all members.

## Public Types

typedef CipherModeFinalTemplate_ExternalCipher < ConcretePolicyHolder< Empty, AdditiveCipherTemplate < AbstractPolicyHolder < AdditiveCipherAbstractPolicy, OFB_ModePolicy > > > > | Encryption
| implements the SymmetricCipher interface
typedef Encryption | Decryption
| implements the SymmetricCipher interface

## Detailed Description

OFB mode, external cipher.

Definition at line 336 of file modes.h.

The documentation for this struct was generated from the following file:

- modes.h